// WSAView.h : interface of the CWSAView class
//
/////////////////////////////////////////////////////////////////////////////

class CWSAView : public CTreeView
{
protected: // create from serialization only
	CImageList m_imageList;
	BOOL m_bIsDragging;
	HTREEITEM m_dragTarget;
	HTREEITEM m_dragItem;
	CWSAView();
	DECLARE_DYNCREATE(CWSAView)

// Attributes
public:
	CWSADoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWSAView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CWSAView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CWSAView)
	afx_msg void OnEndlabeledit(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBegindrag(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in WSAView.cpp
inline CWSADoc* CWSAView::GetDocument()
   { return (CWSADoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
